summaryrefslogtreecommitdiff
path: root/tests/tests/fetch-localgitonly
diff options
context:
space:
mode:
Diffstat (limited to 'tests/tests/fetch-localgitonly')
-rwxr-xr-xtests/tests/fetch-localgitonly16
1 files changed, 16 insertions, 0 deletions
diff --git a/tests/tests/fetch-localgitonly b/tests/tests/fetch-localgitonly
new file mode 100755
index 0000000..7937a6f
--- /dev/null
+++ b/tests/tests/fetch-localgitonly
@@ -0,0 +1,16 @@
+#!/bin/bash
+set -e
+. tests/lib
+
+t-archive pari-extra 3-2~dummy1
+t-git-none
+t-worktree 3-1
+cd $p
+old=`git rev-parse HEAD`
+
+t-dgit pull
+
+t-cloned-fetched-good
+t-has-ancestor $old
+
+echo ok